warning: `pulseaudio' uses 32-bit capabilities (legacy support in use)

Bug #339448 reported by j^ on 2009-03-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Debian)
Fix Released
Unknown
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

On recent Linux kernels (2.6.24? definitely 2.6.25), the kernel logs a
warning about pulseaudio using 32-bit capabilities. This is because it
links with libcap1, but needs to be updated to libcap2 for 64-bit
capability support.

this is fixed in debian see
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489060

ubuntu should be updated to use libcap2 too.

rww (rww) wrote :

Confirming, as I've noticed this too.

Changed in pulseaudio:
status: New → Confirmed
Daniel T Chen (crimsun) on 2009-03-08
Changed in pulseaudio:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released
Josh (majik) wrote :

The error is back in 0.9.15.

[ 54.056651] warning: `pulseaudio' uses 32-bit capabilities (legacy support in use)

Changed in pulseaudio (Ubuntu):
status: Fix Released → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
Changed in pulseaudio (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.